Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class PersonNamePartChangeQualifier

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.PersonNamePartChangeQualifier

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class PersonNamePartChangeQualifier

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Person Name Part Change Qualifier', and utility methods for working with them. abstDomain: V10660 (C-0-D15888-V10659-V10660-cpt)

See Also:
  `CDAR2Package.getPersonNamePartChangeQualifier()`

Field Summary
`static int` | `AD` The 'AD' literal value.
`static PersonNamePartChangeQualifier` | `AD_LITERAL` The 'AD' literal object.
`static int` | `BR` The 'BR' literal value.
`static PersonNamePartChangeQualifier` | `BR_LITERAL` The 'BR' literal object.
`static int` | `SP` The 'SP' literal value.
`static PersonNamePartChangeQualifier` | `SP_LITERAL` The 'SP' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Person Name Part Change Qualifier' enumerators.

Method Summary
`static PersonNamePartChangeQualifier` | `get(int value)` Returns the 'Person Name Part Change Qualifier' literal with the specified integer value.
`static PersonNamePartChangeQualifier` | `get(java.lang.String literal)` Returns the 'Person Name Part Change Qualifier' literal with the specified literal value.
`static PersonNamePartChangeQualifier` | `getByName(java.lang.String name)` Returns the 'Person Name Part Change Qualifier' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AD

    public static final int AD

  The 'AD' literal value.

  If the meaning of 'AD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AD_LITERAL`, Constant Field Values

### BR

    public static final int BR

  The 'BR' literal value.

  If the meaning of 'BR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BR_LITERAL`, Constant Field Values

### SP

    public static final int SP

  The 'SP' literal value.

  If the meaning of 'SP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SP_LITERAL`, Constant Field Values

### AD_LITERAL

    public static final PersonNamePartChangeQualifier AD_LITERAL

  The 'AD' literal object.

  See Also:
    `AD`

### BR_LITERAL

    public static final PersonNamePartChangeQualifier BR_LITERAL

  The 'BR' literal object.

  See Also:
    `BR`

### SP_LITERAL

    public static final PersonNamePartChangeQualifier SP_LITERAL

  The 'SP' literal object.

  See Also:
    `SP`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Person Name Part Change Qualifier' enumerators.

Method Detail

### get

    public static PersonNamePartChangeQualifier get(java.lang.String literal)

  Returns the 'Person Name Part Change Qualifier' literal with the specified literal value.

### getByName

    public static PersonNamePartChangeQualifier getByName(java.lang.String name)

  Returns the 'Person Name Part Change Qualifier' literal with the specified name.

### get

    public static PersonNamePartChangeQualifier get(int value)

  Returns the 'Person Name Part Change Qualifier' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD